<h2>Add New List</h2>

<.form let={f} for={@new_changeset} action={Routes.user_preflists_path(@conn, :create)} id="new_preflist">
<%= if @new_changeset.action do %>
  <div class="alert alert-danger">
    <p>Oops, something went wrong! Please check the errors below.</p>
  </div>
<% end %>

<%= hidden_input f, :action, name: "action", value: "new_preflist" %>

<%= label f, :name %>
<%= text_input f, :name, required: true %>
<%= error_tag f, :name %>

<div>
  <%= submit "New List" %>
</div>
</.form>

<h2>Your Lists</h2>
<p>Missing your lists? Check that you are logged into the correct account!</p>
<%= for preflist <- @preflists do %>
  <div>
    <%= link preflist.name, to: Routes.live_path(@conn, PrefUiWeb.PrefListLive, preflist.id) %>
  </div>
<% end %>
